rubygem-libwebsocket-0.1.8-5.15.i586.rpm


Advertisement

Description

rubygem-libwebsocket - Universal Ruby library to handle WebSocket protocol

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename rubygem-libwebsocket-0.1.8-5.15.i586.rpm
Package name rubygem-libwebsocket
Package version 0.1.8
Package release 5.15
Package architecture i586
Package type rpm
Category Development/Languages/Ruby
Homepage http://github.com/imanel/libwebsocket
License MIT
Maintainer -
Download size 22.86 KB
Installed size 23.26 KB
Universal Ruby library to handle WebSocket protocol

Alternatives

Package Version Architecture Repository
rubygem-libwebsocket-0.1.8-5.15.x86_64.rpm 0.1.8 x86_64 openSUSE Oss
rubygem-libwebsocket - - -

Requires

Name Value
ruby(abi) = 2.6.0
rubygem(ruby:2.6.0:addressable) >= 0
rubygem(ruby:2.6.0:websocket) >= 0

Provides

Name Value
rubygem(libwebsocket) = 0.1.8
rubygem(ruby:2.6.0:libwebsocket) = 0.1.8
rubygem(ruby:2.6.0:libwebsocket:0) = 0.1.8
rubygem(ruby:2.6.0:libwebsocket:0.1) = 0.1.8
rubygem(ruby:2.6.0:libwebsocket:0.1.8) = 0.1.8
rubygem-libwebsocket = 0.1.8-5.15
rubygem-libwebsocket(x86-32) = 0.1.8-5.15

Download

Type URL
Mirror widehat.opensuse.org
Binary Package rubygem-libwebsocket-0.1.8-5.15.i586.rpm
Source Package rubygem-libwebsocket-0.1.8-5.15.src.rpm

Install Howto

Install rubygem-libwebsocket rpm package:

# zypper install rubygem-libwebsocket

Files

Path
/usr/lib/ruby/gems/2.6.0/cache/libwebsocket-0.1.8.gem
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/.gitignore
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/.travis.yml
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/CHANGELOG.md
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/Gemfile
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/README.md
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/Rakefile
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/libwebsocket.gemspec
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/examples/eventmachine_server.rb
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/examples/plain_client.rb
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/lib/libwebsocket.rb
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/lib/libwebsocket/frame.rb
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/lib/libwebsocket/opening_handshake.rb
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/lib/libwebsocket/url.rb
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/lib/libwebsocket/version.rb
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/lib/libwebsocket/opening_handshake/client.rb
/usr/lib/ruby/gems/2.6.0/gems/libwebsocket-0.1.8/lib/libwebsocket/opening_handshake/server.rb
/usr/lib/ruby/gems/2.6.0/specifications/libwebsocket-0.1.8.gemspec

Changelog

2013-04-13 - coolo@suse.com
- updated to version 0.1.8
- Bugfixes for Ruby 2.0.0
2012-11-30 - coolo@suse.com
- updated to version 0.1.7.1
- Restore behaviour of LibWebSocket::OpeningHandshake::Client#url
- Fix for JRuby 1.7.0 in Ruby 1.9 mode
2012-11-21 - coolo@suse.com
- updated to version 0.1.6.1
- Fix `uninitialized constant LibWebSocket::OpeningHandshake::Forwardable` error
[#]# 0.1.6 / 2012-11-18
- Migrate to websocket gem
- Remove most of deprecated and not working code
- Frame migration is last thing that prevents this gem to support drafts 00-17(RFC)
2012-07-28 - coolo@suse.com
- update to 0.1.5
- Fixed problem caused by invalid draft 10 suppor
2012-07-15 - coolo@suse.com
- update to 0.1.4
- New gemspec and bundler files
- Fixed some encoding errors
- Fixes for JRuby
2012-04-19 - coolo@suse.com
- add provides
2012-04-17 - coolo@suse.com
- initial package

See Also

Package Description
rubygem-libwebsocket-doc-0.1.8-5.15.i586.rpm RDoc documentation for libwebsocket
rubygem-libwebsocket-doc-0.1.8-5.15.x86_64.rpm RDoc documentation for libwebsocket
rubygem-libwebsocket-testsuite-0.1.8-5.15.i586.rpm Test suite for libwebsocket
rubygem-libwebsocket-testsuite-0.1.8-5.15.x86_64.rpm Test suite for libwebsocket
rubygem-mail-2_4-2.4.4-7.15.i586.rpm Mail provides a nice Ruby DSL for making, sending and reading emails
rubygem-mail-2_4-2.4.4-7.15.x86_64.rpm Mail provides a nice Ruby DSL for making, sending and reading emails
rubygem-mail-2_4-doc-2.4.4-7.15.i586.rpm RDoc documentation for mail
rubygem-mail-2_4-doc-2.4.4-7.15.x86_64.rpm RDoc documentation for mail
rubygem-passenger-6.0.1-1.4.i586.rpm A fast and robust web server and application server for Ruby, Python
rubygem-passenger-6.0.1-1.4.x86_64.rpm A fast and robust web server and application server for Ruby, Python
rubygem-passenger-apache2-6.0.1-1.4.i586.rpm Passenger apache module
rubygem-passenger-apache2-6.0.1-1.4.x86_64.rpm Passenger apache module
rubygem-passenger-nginx-6.0.1-1.4.i586.rpm Passenger Nginx module
rubygem-passenger-nginx-6.0.1-1.4.x86_64.rpm Passenger Nginx module
rubygem-rice-1.7.0-1.19.i586.rpm Your swiss army knife for executing external commands in Ruby safely
Advertisement
Advertisement